get
https://api.genability.com/rest/v1/profiles/
Return a single profile using the Arcadia {profileId} value.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Retrieve one usage profile using the Arcadia-generated profileId.
Use this endpoint when you have stored the profileId returned by Arcadia when the profile was created. If you use your own profile identifier, use Get One Profile with providerProfileId instead.
Resource URI
GET /rest/v1/profiles/{profileId}Path parameters
| Parameter | Type | Description |
|---|---|---|
profileId | String | Arcadia UUID of the Profile object. Required. |
Optional response data
By default, the response returns profile metadata and reading summaries. Use query parameters to include additional data:
| Parameter | Type | Description |
|---|---|---|
populateReadings | Boolean | When true, includes reading data. Defaults to false. |
populateIntervals | Boolean | When true, includes interval values. Use with groupBy. Defaults to false. |
populateBaseline | Boolean | When true, includes baseline measures for profiles that include them. Optional. |
groupBy | String | Groups interval data by YEAR, MONTH, DAY, HOUR, or QTRHOUR. |
fromDateTime | DateTime | Start date for returned readings or intervals. Optional. |
toDateTime | DateTime | End date for returned readings or intervals. Optional. |
autoBaseline | Boolean | When true, moves usage data to the requested fromDateTime and toDateTime range. Optional. |
useIntelligentBaselining | Boolean | Used with autoBaseline to interpolate and extrapolate usage data. Optional. |
asTariffTimezone | Boolean | When true, returns profile readings and intervals in the account tariff's timezone when a tariff is set. Optional. |
fields | String | Use dataStatus to poll profile processing status. Optional. |
For the full data model, profile workflow, parameter list, and detailed examples, see Profiles API.
Example
GET /rest/v1/profiles/b7559f37-8020-4969-8bd1-48d8c3d58976A successful response returns a standard response payload with type set to UsageProfile and one profile in the results array.
{
"status": "success",
"count": 1,
"type": "UsageProfile",
"results": [
{
"profileId": "b7559f37-8020-4969-8bd1-48d8c3d58976",
"providerProfileId": "ELECTRICITY_RESIDENTIAL_CA_2012",
"profileName": "2012 CA Electricity Residential Profile",
"serviceTypes": "ELECTRICITY",
"dataStatus": 2
}
]
}